> ## Documentation Index
> Fetch the complete documentation index at: https://docs.triglit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Resume workflow execution

> Resumes a paused workflow execution with input data. Requires secret key authentication.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/triglit/openapi.documented.yml post /v1/gateway/triggers/resume
openapi: 3.0.0
info:
  title: Triglit
  description: Documentação da API do Triglit
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/gateway/triggers/resume:
    post:
      tags:
        - Triggers
      summary: Resume workflow execution
      description: >-
        Resumes a paused workflow execution with input data. Requires secret key
        authentication.
      operationId: publictriggers_resumeWorkflow_v1
      parameters:
        - name: X-API-Key
          in: header
          description: Chave de API do tenant (publishable key ou secret key)
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResumeWorkflowDto'
      responses:
        '204':
          description: Workflow resumed successfully
        '401':
          description: API key não fornecida, inválida ou não encontrada.
        '403':
          description: Tipo de chave não permitido para este endpoint.
        '404':
          description: Run not found
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Triglit from 'triglit';


            const client = new Triglit({
              apiKey: 'My API Key',
            });


            await client.triggers.resumeExecution({ resumeToken: 'x', runId: 'x'
            });
components:
  schemas:
    ResumeWorkflowDto:
      type: object
      properties:
        runId:
          type: string
          minLength: 1
        resumeToken:
          type: string
          minLength: 1
        input:
          nullable: true
      required:
        - runId
        - resumeToken
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Chave de API do tenant (publishable key ou secret key)

````